petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGetGuess

Gets the initial guess generator for the KSP.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetGuess(KSP ksp,KSPGuess *guess)

Not Collective

### Input Parameters

ksp -the Krylov context

### Output Parameters

guess -the object

### Keywords

KSP, set, options, prefix, database

### See Also

KSPSetOptionsPrefix(), KSPAppendOptionsPrefix(), KSPSetUseFischerGuess(), KSPSetGuess()

### Level

developer

### Location

src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages